## org.biojava.stats.svm
Class AbstractSVMClassifierModel

    java.lang.Object
      |
      +--org.biojava.stats.svm.AbstractSVMClassifierModel

Direct Known Subclasses:
  SimpleSVMClassifierModel

public abstract class AbstractSVMClassifierModel
extends java.lang.Object
implements SVMClassifierModel

Abstract implementation of SVMClassifierModel.

To implement a read-only implementation, you need only implement getThreshold and getAlpha.

Author:
  Matthew Pocock

Constructor Summary
`AbstractSVMClassifierModel()`

Method Summary
`void` `addItem(java.lang.Object item)`
`void` `addItemAlpha(java.lang.Object item, double alpha)`
`double` `classify(java.lang.Object item)`
`void` `clear()`
`void` `removeItem(java.lang.Object item)`
`void` `setAlpha(java.lang.Object item, double alpha)`
`void` `setThreshold()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSVMClassifierModel

    public AbstractSVMClassifierModel()

Method Detail

### setThreshold

    public void setThreshold()
                      throws java.lang.UnsupportedOperationException

### setAlpha

    public void setAlpha(java.lang.Object item,
                         double alpha)
                  throws java.lang.UnsupportedOperationException

  Specified by:
    setAlpha in interface SVMClassifierModel

### addItem

    public void addItem(java.lang.Object item)
                 throws java.lang.UnsupportedOperationException

  Specified by:
    addItem in interface SVMClassifierModel

### addItemAlpha

    public void addItemAlpha(java.lang.Object item,
                             double alpha)
                      throws java.lang.UnsupportedOperationException

  Specified by:
    addItemAlpha in interface SVMClassifierModel

### removeItem

    public void removeItem(java.lang.Object item)
                    throws java.lang.UnsupportedOperationException

  Specified by:
    removeItem in interface SVMClassifierModel

### clear

    public void clear()
               throws java.lang.UnsupportedOperationException

  Specified by:
    clear in interface SVMClassifierModel

### classify

    public double classify(java.lang.Object item)

  Specified by:
    classify in interface SVMClassifierModel